cloudkitty (21.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090406).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:16:10 +0100

cloudkitty (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:46:59 +0200

cloudkitty (21.0.0~rc1-3) unstable; urgency=medium

  * Do not run autopkgtest for failing unit tests under i386. See storyboard
    bug: https://storyboard.openstack.org/#!/story/2011231.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2024 17:10:10 +0200

cloudkitty (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:04:46 +0200

cloudkitty (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 16:19:59 +0200

cloudkitty (20.0.0-3) unstable; urgency=medium

  * Add missing python3-rx (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Jul 2024 16:23:00 +0200

cloudkitty (20.0.0-2) unstable; urgency=medium

  * Add support-elasticsearch-datastream.patch.
  * Add Misc_fixes_for_Python_3.12_compatibility.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 11:18:41 +0200

cloudkitty (20.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:07:35 +0200

cloudkitty (20.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Mar 2024 13:36:06 +0100

cloudkitty (19.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #1052907)
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 08:46:03 +0200

cloudkitty (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist 2 broken tests:
    - StorageTotalTest\.test_get_total_without_filter_but_timestamp.*
  * Cleans better.
  * Fails the build if the doc build fails.
  * Add remove-wsmeext.sphinxext.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 09:13:28 +0200

cloudkitty (18.0.0-4) unstable; urgency=medium

  * Added cloudkitty.conf.sample to extend-diff-ignore (Closes: #1043989).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:12:26 +0200

cloudkitty (18.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:02:43 +0200

cloudkitty (18.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:51:15 +0200

cloudkitty (18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:20:02 +0100

cloudkitty (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends when satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * d/rules: removed --with systemd.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Mar 2023 16:50:07 +0100

cloudkitty (17.0.0-2) unstable; urgency=medium

  * Fixed building cloudkitty's doc (Closes: #1026693).

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Dec 2022 14:36:56 +0100

cloudkitty (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 21:33:11 +0200

cloudkitty (17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 17:53:02 +0200

cloudkitty (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2022 14:48:13 +0200

cloudkitty (16.0.0-2) unstable; urgency=medium

  * Autopkgtest: blacklist test_get_total_one_scope_one_period.* as they are
    failing on  some arch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 09:59:45 +0200

cloudkitty (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:02:41 +0200

cloudkitty (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:29:23 +0100

cloudkitty (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Adding_two_options_in_keystone_fetcher.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 11:37:56 +0100

cloudkitty (15.0.0-4) unstable; urgency=medium

  * Add python3-os-api-ref depends in cloudkitty-doc (Closes: #988807).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 18:13:45 +0100

cloudkitty (15.0.0-3) unstable; urgency=medium

  * Add Adding_two_options_in_keystone_fetcher.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Oct 2021 09:53:39 +0200

cloudkitty (15.0.0-2) unstable; urgency=medium

  * Add touch cloudkitty-doc/html/_static/toggle.js to fix dh_sphinxdoc call.
    (Closes: #997421).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Oct 2021 11:19:19 +0200

cloudkitty (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:13:05 +0200

cloudkitty (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed min version of python3-flask-restfull.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:44:42 +0200

cloudkitty (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on python3-flask >= 2.0.0.
  * Remove patches applied upstream:
    - add-force-granularity-300-for-cpu.patch
    - Fix-default-admin_or_owner-policy-expression.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 23:10:09 +0200

cloudkitty (14.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Aug 2021 09:34:09 +0200

cloudkitty (14.0.0-2) unstable; urgency=medium

  * Add Fix-default-admin_or_owner-policy-expression.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Apr 2021 09:47:43 +0200

cloudkitty (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:10:35 +0200

cloudkitty (14.0.0~rc1-1) experimental; urgency=medium

  * Tune cloudkitty-api-uwsgi.ini for performance.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed add-healthcheck.patch applied upstream.
  * Removed log-how-many-tenants-fetched.patch applied upstream.
  * Do not _static/toggle.js when building doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 21:03:05 +0100

cloudkitty (13.0.0-5) unstable; urgency=medium

  * Add rate-everyone.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Mar 2021 09:43:01 +0100

cloudkitty (13.0.0-4) unstable; urgency=medium

  * Add add-force-granularity-300-for-cpu.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Feb 2021 09:59:21 +0100

cloudkitty (13.0.0-3) unstable; urgency=medium

  * Add log-how-many-tenants-fetched.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 15:52:26 +0100

cloudkitty (13.0.0-2) unstable; urgency=medium

  * mv /etc/cloudkitty/policy.json /etc/cloudkitty/disabled.policy.json.old
    instead of deleting /etc/cloudkitty/policy.json.
  * Fix installation path of the policy.d folder.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:16:44 +0100

cloudkitty (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:03:16 +0200

cloudkitty (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fix (build-)depends for this release.
  * Now using /etc/cloudkitty/policy.d and yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 15:00:13 +0200

cloudkitty (12.0.0-3) unstable; urgency=medium

  * Add a /healtcheck URL.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 15:09:31 +0200

cloudkitty (12.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:37:33 +0200

cloudkitty (12.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: Correctly copy init.py, not cloudkitty/utils.py.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 23:13:05 +0200

cloudkitty (11.0.1-2) unstable; urgency=medium

  * Blacklist failing tests:
    HackingTestCase.test_logging_with_tuple_argument* (Closes: #952238).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 16:17:55 +0100

cloudkitty (11.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Nov 2019 13:14:19 +0100

cloudkitty (11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:20:09 +0200

cloudkitty (11.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_sqlalchemy_grouping_on_v1_storage.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 14:44:15 +0200

cloudkitty (9.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 15:28:08 +0200

cloudkitty (9.0.0-3) experimental; urgency=medium

  * Add upstream patch: Fix_sqlalchemy_grouping_on_v1_storage.patch. This
    fixes FTBFS with newer SQLAlchemy.

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Jun 2019 14:13:01 +0200

cloudkitty (9.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 17:48:11 +0200

cloudkitty (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:04:27 +0200

cloudkitty (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Removed python3- prefix when calling config generator.
  * Rebase patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 20:50:49 +0100

cloudkitty (8.0.0-4) unstable; urgency=medium

  * Correct default path to metrics.yml in [collect]/metrics_conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 14:45:39 +0100

cloudkitty (8.0.0-3) unstable; urgency=medium

  * Use standard OpenStack package uwsgi setup.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Dec 2018 09:35:45 +0100

cloudkitty (8.0.0-2) unstable; urgency=medium

  * Remove /etc/cloudkitty/metrics.yml on purge (Closes: #905507).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 13:55:01 +0200

cloudkitty (8.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * new upstream release.
  * Fixed (build-)depends for this release.
  * Rebase metrics.yml path patch.
  * Blacklist all tests matching:
    - .*test_prometheus.*
    - .*storage.v1.test_hybrid_storage.*

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 00:21:53 +0200

cloudkitty (7.0.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 08:48:42 +0000

cloudkitty (7.0.0-3) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ debconf templates.
  * Generating policy.json using --format json.
  * Fixed cloudkitty-common's postrm/prerm to correctly purge db on purge.
  * Also call pkgos_write_admin_creds in postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 10:33:19 +0100

cloudkitty (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 14:48:21 +0000

cloudkitty (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed some patches, remove some applied upstream.
  * Some clean-ups in debian/rules.
  * Generating policy.yaml with oslopolicy-sample-generator.
  * Patch cloudkitty/utils.py before generating cloudkitty.conf so that it may
    find mettrics.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2018 15:07:30 +0000

cloudkitty (6.0.0-5) experimental; urgency=medium

  * Switch to Python 3.
  * Remove mathjax extension from sphinx doc.
  * Add cloudkitty-doc.doc-base.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 15:14:21 +0000

cloudkitty (6.0.0-4) unstable; urgency=medium

  * Also run cloudkitty-storage-init after creating the db.
  * Add upstream patch for allowing gabbi >= 1.26.1.
  * Add patch to make cloudkitty build reproducibly (Closes: #889171).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 16:24:17 +0000

cloudkitty (6.0.0-3) unstable; urgency=medium

  * Added logrotate file.
  * Add patch to allow SQLA >= 1.1 (Closes: #889602).
  * Add missing templates.pot.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 16:58:29 +0100

cloudkitty (6.0.0-2) unstable; urgency=medium

  * Fixed cloudkitty-api.init.
  * Fixed default values in general, and in particular, set everything to use
    [keystone_authtoken] by default as auth_section.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 08:37:44 +0000

cloudkitty (6.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #888435)

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jan 2018 15:39:54 +0100
